28 October 2009

gearman php problem on jaunty

Get this error on my ubuntu jaunty, works perfectly on hardy. I don't have the solution (hope expert out there post solution in comment)
helmi@gandalf:/tmp> php reverse_client.php 
Sending job
ALERT - canary mismatch on efree() - heap overflow detected (attacker 'REMOTE_ADDR not set', file '/tmp/reverse_client.php', line 10)

How I install:
helmi@gandalf:~/Packages/php> sudo pecl install gearman-0.6.0

some info:
helmi@gandalf:~/Packages/php/gearman-0.6.0> phpize
Configuring for:
PHP Api Version:         20041225
Zend Module Api No:      20060613
Zend Extension Api No:   220060519
helmi@gandalf:~/Packages/php/gearman-0.6.0> echo '<?php phpinfo();' | php| head 
phpinfo()
PHP Version => 5.2.6-3ubuntu4.2

System => Linux gandalf 2.6.28-15-server #52-Ubuntu SMP Wed Sep 9 11:50:50 UTC 2009 i686
Build Date => Aug 21 2009 19:12:00
Server API => Command Line Interface
Virtual Directory Support => disabled
Configuration File (php.ini) Path => /etc/php5/cli
Loaded Configuration File => /etc/php5/cli/php.ini
Scan this dir for additional .ini files => /etc/php5/cli/conf.d

helmi@gandalf:~/Packages/php/gearman-0.6.0> gearmand -V
gearmand 0.10 - https://launchpad.net/gearmand
Post a Comment